/**
 * This class represents a message with content 'contents' received on the
 * channel of process 'from'.
 */
public class Message
{
	private String contents;  // Content of the message
	private int from;         // Sender process (client = -1)
	
	public Message(String cont, int fr) {
		contents = cont;
		from = fr;
	}
	public String getContents() {
		return contents;
	}
	public int getSender() {
		return from;
	}
	public String toString() {
		return contents + " from " + from;
	}
}

